import React from 'react'
import PropTypes from 'prop-types'

/**
 * Left align certain actions.
 * 
 * @param  {object} props.children - Any valid react children
 * @return {object}                - React markup
 */
const CardActionsLeft = ({
    children
}) => (
    <div
        style={{
            flex: '1 1 auto',
            display: 'flex',
            alignItems: 'center'
        }}
    >
        {children}
    </div>
)

CardActionsLeft.propTypes = {
    children: PropTypes.node
}

export default CardActionsLeft