import React from 'react'
import PropTypes from 'prop-types'

/**
 * Right align certain actions.
 * 
 * @param  {object} props.children - Any valid react children
 * @return {object}                - React markup
 */
const CardActionsRight = ({
    children
}) => (
    <div style={{ flex: '0 0 auto' }}>
        {children}
    </div>
)

CardActionsRight.propTypes = {
    children: PropTypes.node
}

export default CardActionsRight