import React from 'react'
import PropTypes from 'prop-types'

/**
 * Lay out actions displayed in a card.
 * 
 * @param  {object} props.children - Any valid react children
 * @return {object}                - React markup
 */
const CardActions = ({
    children
}) => (
    <div
        style={{
            display: 'flex',
            paddingTop: 8
        }}
    >
        {children}
    </div>
)

CardActions.propTypes = {
    children: PropTypes.node
}

export default CardActions