import React from 'react'
import PropTypes from 'prop-types'

/**
 * Lay out the bottom section of a card.
 * 
 * @param  {object} props.style    - Override or add any additional styles
 * @param  {object} props.children - Any valid react children
 * @return {object}                - React markup
 */
const CardBottom = ({
    style,
    children
}) => (
    <div
        style={{
            flex: '0 0 auto',
            padding: `0 10px 10px 10px`,
            ...style
        }}
    >
        {children}
    </div>
)

CardBottom.propTypes = {
    style: PropTypes.object,
    children: PropTypes.node
}

export default CardBottom