import React, { forwardRef } from 'react'
import Card from './card.jsx'

/**
 * Fallback with centered content. Typically used for loading or error states.
 * 
 * @param  {object} props - Any props are simply passed along to `Card`
 * @return {object}       - React markup
 */
const CardFallback = forwardRef((props, ref) => (
    <Card
        {...props}
        ref={ref}
        style={{
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            ...props.style
        }}
    />
))

export default CardFallback